// This file can be replaced during build by using the `fileReplacements` array.
// `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.

import { Environment } from './environment.type';

export const environment: Environment = {
  production: false,
  nats: {
    connectionOptions: {
      servers: ['ws://192.168.50.205:8088'],
      // servers: ['ws://192.168.50.200:8088'],
      // servers: ['ws://192.168.50.208:8088'],
      // servers: ['ws://192.168.0.103:8088'],
      // servers: ['ws://30.20.0.149:8088'],
    },
  },
  constants: {
    casinoGameKey: {
      evolution: 'top_games',
      pragmatic: '101',
      cq9: 'ca01',
      skywind: '',
      wm: '',
      duwon: '',
      bg: '',
      oriental: '',
    },
  },
};

/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/plugins/zone-error';  // Included with Angular CLI.
