import * as nats from 'nats.ws';

export interface Environment {
  production: boolean;
  nats: {
    connectionOptions: nats.ConnectionOptions;
  };
  constants: {
    casinoGameKey: {
      evolution: string;
      pragmatic: string;
      cq9: string;
      skywind: string;
      wm: string;
      duwon: string;
      bg: string;
      oriental: string;
    };
  };
}
